Get post analytics
Authorization
Bearer AuthorizationBearer <token>
API key (rlay_live_* or rlay_test_*)
In: header
Query Parameters
platform?string
Filter by platform
Value in
- "twitter"
- "instagram"
- "facebook"
- "linkedin"
- "tiktok"
- "youtube"
- "pinterest"
- "reddit"
- "bluesky"
- "threads"
- "telegram"
- "snapchat"
- "googlebusiness"
- "whatsapp"
- "mastodon"
- "discord"
- "sms"
- "beehiiv"
- "convertkit"
- "mailchimp"
- "listmonk"
account_id?string
Filter by account ID
post_id?string
Filter by post ID
from_date?string
Start date (ISO 8601 date string)
to_date?string
End date (ISO 8601 date string)
limit?integer
Number of items
Range
1 <= value <= 100Default
20offset?integer
Offset
Range
0 <= valueDefault
0Response Body
application/json
application/json
curl -X GET "https://example.com/v1/analytics"{ "data": [ { "post_id": "string", "platform": "twitter", "impressions": 0, "reach": 0, "likes": 0, "comments": 0, "shares": 0, "saves": 0, "clicks": 0, "views": 0, "published_at": "2019-08-24T14:15:22Z" } ], "overview": { "total_posts": 0, "total_impressions": 0, "total_likes": 0, "total_comments": 0, "total_shares": 0, "total_clicks": 0, "total_views": 0 }, "truncated": true}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}Found something wrong? Help us improve this page.